"use strict";

const either = require("@validatem/either");
const wrapError = require("@validatem/wrap-error");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	
	return wrapError("Must be a type of expression object", either([
		[ isObjectType("expression") ],
		[ isObjectType("notExpression") ],
		[ isObjectType("anyOfExpressions") ],
		[ isObjectType("allOfExpressions") ],
	]));
};
